Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata
Class CollectionMetadataGenerator

    java.lang.Object
      org.hibernate.envers.configuration.metadata.CollectionMetadataGenerator

    public final class CollectionMetadataGenerator

extends Object

Generates metadata for a collection-valued property.

Field Summary
`static EnversMessageLogger` | `LOG`

Constructor Summary
`CollectionMetadataGenerator(AuditMetadataGenerator mainGenerator, Collection propertyValue, CompositeMapperBuilder currentMapper, String referencingEntityName, EntityXmlMappingData xmlMappingData, PropertyAuditingData propertyAuditingData)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final EnversMessageLogger LOG

Constructor Detail

### CollectionMetadataGenerator

    public CollectionMetadataGenerator(AuditMetadataGenerator mainGenerator,
                                       Collection propertyValue,
                                       CompositeMapperBuilder currentMapper,
                                       String referencingEntityName,
                                       EntityXmlMappingData xmlMappingData,
                                       PropertyAuditingData propertyAuditingData)

Parameters:
  `mainGenerator` - Main generator, giving access to configuration and the basic mapper.
  `propertyValue` - Value of the collection, as mapped by Hibernate.
  `currentMapper` - Mapper, to which the appropriate `PropertyMapper` will be added.
  `referencingEntityName` - Name of the entity that owns this collection.
  `xmlMappingData` - In case this collection requires a middle table, additional mapping documents will be created using this object.
  `propertyAuditingData` - Property auditing (meta-)data. Among other things, holds the name of the property that references the collection in the referencing entity, the user data for middle (join) table and the value of the `@MapKey` annotation, if there was one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.